Package org.gradle.api.artifacts.result

# Interface ResolvedArtifactResult

All Superinterfaces:
  `ArtifactResult`

public interface ResolvedArtifactResult extends ArtifactResult
The result of successfully resolving an artifact.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getFile()`
  The file for the artifact.
  `ResolvedVariantResult`
  `getVariant()`
  The variant that included this artifact.

  ### Methods inherited from interface org.gradle.api.artifacts.result.ArtifactResult

  `getId, getType`

- ## Method Details

  - ### getFile

    File getFile()
    The file for the artifact.

  - ### getVariant

    ResolvedVariantResult getVariant()
    The variant that included this artifact.